<script lang="typescript">
    import { faUserAlt, faLock } from "@fortawesome/free-solid-svg-icons";
    import Fa from "svelte-fa";
    import { loginAPI } from "src/apis/login";
    import { userProfileStore } from "src/store";
    let username: string = "";
    let password: string = "";
    let validateInput = false;
    let errorLoginMsg = "";

    const login = async (username: string, password: string) => {
        const respLogin = await loginAPI(username, password);
        if ($userProfileStore && Object.values($userProfileStore).length && $userProfileStore.username) {
            (window as any).location.reload();
        } else {
            errorLoginMsg = respLogin?.message || "Login Error";
        }
    };
</script>

<div class="flex flex-col items-center justify-center h-full w-full">
    <div
        class="flex-col w-full md:w-2/5 lg:w-2/6 mt-24 bg-white sm:p-5 p-10 rounded-lg shadow-lg"
    >
        <div
            class="rounded-full px-3 border-2 border-blue-300 flex flex-wrap items-stretch w-full mb-8 relative"
        >
            <div class="flex justify-center w-15 p-4">
                <span
                    class="flex items-center leading-normal px-3 border-0 rounded rounded-r-none text-sm text-gray-600"
                >
                    <Fa icon={faUserAlt} fw size="lg" class="text-blue-400" />
                </span>
            </div>
            <input
                id="i_username"
                type="text"
                class="flex-shrink flex-grow flex-auto my-auto leading-normal w-px border-0 border-grey-light rounded rounded-l-none px-3 self-center relative outline-none bg-transparent placeholder-gray-300 text-gray-500 border-gray-400"
                placeholder="Username"
                bind:value={username}
            />
        </div>
        <div
            class="rounded-full px-3 border-2 border-blue-300 flex flex-wrap items-stretch w-full mb-8 relative"
        >
            <div class="flex -mr-px justify-center w-15 p-4">
                <span
                    class="flex items-center leading-normal px-3 border-0 rounded rounded-r-none text-sm text-gray-600"
                >
                    <Fa icon={faLock} fw size="lg" class="text-blue-400" />
                </span>
            </div>
            <input
                id="i_password"
                type="password"
                class="flex-shrink flex-grow flex-auto my-auto leading-normal w-px border-0 h-full border-grey-light rounded rounded-l-none px-3 self-center relative outline-none bg-transparent placeholder-gray-300 text-gray-500"
                placeholder="Passwordx"
                bind:value={password}
            />
        </div>
        <div class="flex flex-col items-center">
            <p class="text-red-500">{errorLoginMsg}</p>
            <button
                id="b_login"
                on:click={() => login(username, password)}
                class="bg-blue-600 text-white rounded-full px-6 h-12 w-full"
                >Login</button
            >
        </div>
    </div>
</div>
